# Class Creator

#### Hierarchy

- Creator

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:13

#####
Index

### Constructors

constructor

### Properties

address
share
verified
size

### Methods

serialize
deserialize

## Constructors

### constructor

- new Creator(address, verified, share): Creator

- #### Parameters

  - ##### address: PublicKeyInitData

  - ##### verified: boolean

  - ##### share: number

  #### Returns Creator

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:18

## Properties

### address

address: PublicKey

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:14

### share

share: number

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:16

### verified

verified: boolean

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:15

### `Static` size

size: number = 34

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:24

## Methods

### serialize

- serialize(): Buffer

- #### Returns Buffer

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:26

### `Static` deserialize

- deserialize(data): Creator

- #### Parameters

  - ##### data: Buffer

  #### Returns Creator

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:36

Generated using TypeDoc